Return a refresh token
GET/v2/modules/:module/setups/:setupId/tokens/:value
Retrieves a specific refresh token by its value within the specified setup. The full token details are returned to admin users, the user designated as the client's owner, or the user to whom the token was issued. Access by any other caller is denied.
Request
Path Parameters
module stringrequired
setupId stringrequired
value stringrequired
Responses
- 403
- 404
- default
Caller is not the token owner, the user designated as the client's owner, or an admin
No refresh token found with the specified value in this setup
The full details of the requested refresh token
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
meta object[]
id string
name string
value string
locale string
scopes string[]
claims string
custom_access_token_claims string
custom_id_token_claims string
audience string[]
user stringrequired
issuer string
expiration date-timerequired
value stringrequired
issue_date date-timerequired
authorized_party string
client_id string
client_entity_id string
{
"meta": [
{
"id": "string",
"name": "string",
"value": "string",
"locale": "string"
}
],
"scopes": [
"string"
],
"claims": "string",
"custom_access_token_claims": "string",
"custom_id_token_claims": "string",
"audience": [
"string"
],
"user": "string",
"issuer": "string",
"expiration": "2024-07-29T15:51:28.071Z",
"value": "string",
"issue_date": "2024-07-29T15:51:28.071Z",
"authorized_party": "string",
"client_id": "string",
"client_entity_id": "string"
}
Loading...